diff --git a/src/bin/pg_basebackup/streamutil.c b/src/bin/pg_basebackup/streamutil.c
index 296b1888aa..79a1a0bdca 100644
--- a/src/bin/pg_basebackup/streamutil.c
+++ b/src/bin/pg_basebackup/streamutil.c
@@ -209,8 +209,12 @@ GetConnection(void)
 	if (conn_opts)
 		PQconninfoFree(conn_opts);
 
-	/* Set always-secure search path, so malicious users can't get control. */
-	if (dbname != NULL)
+	/*
+	 * Set always-secure search path, so malicious users can't get control.
+	 * The capacity to run normal SQL queries has been added in PostgreSQL
+	 * 10, so this does not matter for older versions.
+	 */
+	if (dbname != NULL && PQserverVersion(conn) >= 100000)
 	{
 		PGresult   *res;
 
